EDIT - feature request #4908

adding convert Team to Person and Person to Team to the bulk editor
05/18/2015 12:14 PM - Katja Luther

Status: Closed Start date:

Priority: Priority12 Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 3.7

Severity: normal

Description

the functionality convert team to person and person to team should be available in the agent bulk editor.

related tickets: #4769, #4770

Open issues (see comments):

¢ Give more specific information why person can not be converted to team (new ticket ?) => #9361

Related issues:

Related to EDIT - feature request #4769: Allow convert team to person Closed
Related to EDIT - feature request #4770: Allow convert person to team Closed
Related to EDIT - bug #5163: Converting persons to team members may result in... Closed
Related to EDIT - bug #9362: Convert Team to Person and vice versa saves imme... New
Copied to EDIT - feature request #9361: Give more specific information why pe... New

Associated revisions

Revision 180577bd - 12/21/2020 01:44 PM - Andreas Miiller

ref #4908 adapt German menu label

Revision 58a9c0ab - 12/21/2020 11:09 PM - Andreas Miiller

ref #4770, ref #4908 handle person is null in person2Team converter

Revision 01f597fe - 12/21/2020 11:31 PM - Andreas Miiller

ref #4770, ref #4908 add test for person is null in person2Team converter

Revision b07820f4 - 12/21/2020 11:32 PM - Andreas Miiller

ref #4908 adapt error message for MergeException

Revision 304fcfc8 - 12/22/2020 12:07 AM - Andreas Miiller

ref #4770, ref #4908, ref #5163 assert that team has protected nomenclatural title after convertPerson2Team

Revision 6057b354 - 12/22/2020 09:48 AM - Andreas Miiller

ref #4770, ref #4908, ref #5163 some finetuning on convertPerson2Team

Revision 18fa7762 - 12/22/2020 10:10 AM - Andreas Miiller

ref #4770, ref #4908, ref #5163 try to remove explicit setting of protected nomecncl. title in convertPerson2Team
https://dev.e-taxonomy.eu/redmine/issues/4769
https://dev.e-taxonomy.eu/redmine/issues/4770
https://dev.e-taxonomy.eu/redmine/issues/9361

Revision dc310185 - 12/22/2020 10:51 AM - Andreas Miiller

ref #4770, ref #4908, ref #5163 remove commented line as it seems to work now

History

#1 - 05/18/2015 12:14 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from K.luther - to Andreas Mdiller

implemented in r23831

#2 - 05/18/2015 05:59 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to k.luther -

German translation for both converters is still missing.

#3 - 05/27/2015 06:25 PM - Andreas Miuller

If an error occurs during convert only a popup appears saying that there was an error but even no stacktrace. We should at least use standard
MessageUltil error handling or even better specific error handling.

This problem was easy to reproduce while saving of new authors did not work correctly (#4907). As this is fixed now | can't easily reproduce.
However, correct error handling should be easy to implement.

#4 - 05/27/2015 06:31 PM - Andreas Miiller

| think it is enough to label the menu items "Convert to team" and "Convert to person”. As we show the type in grey it should be clear what the current
type is.

#5 - 05/27/2015 06:34 PM - Andreas Miiller

If a person is to be transformed into a team but this is not possible the error dialog title says "Can not convert Team to Person" but should say "Can
not convert person to team".

Also we may think about more specific information why transformation is not possible

#6 - 07/16/2015 02:01 PM - Katja Luther

- Status changed from Resolved to Closed

- Resolution set to fixed

- % Done set to 100

- Target version changed from TaxEditor RELEASE 3.6.0 to Release 3.7

the pop up is now a MessagingUstils.errorDialog(...), the german translation is added, the exception handling is improved.

€984ad30adf923b8ad5b8b8e991d7d5aea1305¢ee (hash git)

#7 - 07/16/2015 02:39 PM - Andreas Miiller
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

- % Done changed from 100 to 0

#8 - 07/16/2015 02:39 PM - Andreas Miiller
- Status changed from Feedback to Resolved

- Assignee changed from K.luther - to Andreas Mdiller

#9 - 12/21/2020 03:12 PM - Andreas Miiller

- Related to feature request #4769: Allow convert team to person added

#10 - 12/21/2020 03:12 PM - Andreas Miiller

- Related to feature request #4770: Allow convert person to team added
#11 - 12/21/2020 11:10 PM - Andreas Miiller
- Description updated
- % Done changed from 0 to 80

- Private changed from Yes to No

#12 - 12/21/2020 11:32 PM - Andreas Miiller
- Description updated

- Status changed from Resolved to Closed

Open issues fixed or moved to new ticket.

#13 - 12/21/2020 11:32 PM - Andreas Miiller
- % Done changed from 80 to 100

#14 - 12/21/2020 11:34 PM - Andreas Miiller

- Copied to feature request #9361: Give more specific information why person can not be converted to team added

#15 - 12/21/2020 11:36 PM - Andreas Miiller

- Related to bug #5163: Converting persons to team members may result in "-empty team-" added

#16 - 12/21/2020 11:39 PM - Andreas Miiller

- Related to bug #9362: Convert Team to Person and vice versa saves immediately added
